AWS
probe EMR

# describe_instance_fleet

Describe a single EMR instance fleet

Run it now
View details

Type | probe
Module | chaosaws.emr.probes
Name | describe_instance_fleet
Return | mapping

Usage

JSON

    {
      "name": "describe-instance-fleet",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosaws.emr.probes",
        "func": "describe_instance_fleet",
        "arguments": {
          "cluster_id": "",
          "fleet_id": ""
        }
      }
    }

YAML

    name: describe-instance-fleet
    provider:
      arguments:
        cluster_id: ""
        fleet_id: ""
      func: describe_instance_fleet
      module: chaosaws.emr.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
cluster_id | string |  | Yes | Cluster ID |
fleet_id | string |  | Yes | Fleet ID |

Signature

    def describe_instance_fleet(
            cluster_id: str,
            fleet_id: str,
            configuration: Dict[str, Dict[str, str]] = None,
            secrets: Dict[str, Dict[str, str]] = None) -> Dict[str, Any]:
        pass

## Related starters

- AWS
  probe EMR

  ## `describe_instance_group`

  Describe a single EMR instance group
- AWS
  probe EMR

  ## `describe_cluster`

  Describe a single EMR cluster
- AWS
  probe EMR

  ## `describe_instance_group`

  Describe a single EMR instance group